<template>
    <div class="centered centered-txt base-popup txt-fake-white" :class="clr ? `bg-${clr}` : 'bg-gray6-dark'">
        {{ msg }}
    </div>
</template>

<script setup lang="ts">
defineProps<{msg: string, clr: string}>()
</script>

<style scoped>
.base-popup {
    min-height: 45px;
    border-radius: 15px;
    padding: 10px;
    position: fixed;
    z-index: 9999;
    font-family: 'Manrope', sans-serif;
    font-weight: 600;
    box-shadow: 2px 2px 5px #0e0e0ebd;
}

@media (max-width: 1023px) {
    .base-popup {
        top: 10px;
        left: 10px;
        right: 10px;
    }
}
@media (min-width: 1024px) {
    .base-popup {
        width: 40%;
        bottom: 10px;
        right: 10px;
    }
}
</style>